YUI Flash Component Documentation |
Class AxisData

Package | com.yahoo.astra.fl.charts.axes
Class | public class AxisData

Positioning and other data used by an IAxisRenderer to draw items like ticks. This data is created by an IAxis instance.

See also

IAxis
IAxisRenderer

Public Properties

| Property | Defined by
--- | --- | ---
|  | label : String The label value of the item. | AxisData
|  | position : Number The position of the item on the axis renderer. | AxisData
|  | value : Object The value of the item. | AxisData

Public Methods

| Method | Defined by
--- | --- | ---
|  | AxisData(position:Number, value:Object, label:String) Constructor. | AxisData

Property detail

label | property

`public var label:String`

The label value of the item.

position | property |

`public var position:Number`

The position of the item on the axis renderer.

value | property |

`public var value:Object`

The value of the item.

Constructor detail

AxisData | () | constructor

`public function AxisData(position:Number, value:Object, label:String)`

Constructor.

Parameters

| `position:Number`
| `value:Object`
| `label:String`